Roomability Guest API
  1. Guest
Roomability Guest API
  • Introduction
  • Authentication
  • Errors
  • Booking Flow
  • Reservation
    • Add
      POST
    • Availability
      POST
    • Cancel
      POST
    • Booking Ref
      GET
  • Country
    • Get Countries List
      GET
  • State
    • Get State List
      GET
  • RoomType
    • Get Room Types
      GET
    • Get Room Detail
      GET
  • Guest
    • Detail
      GET
  • Term
    • Detail
      GET
  • Privacy
    • Detail
      GET
  • Payment Method
    • Active List
      GET
  • Paystack
    • Verify
      GET
    • Initialize
      POST
  • Hotel
    • Detail
      GET
    • Hotel Rule
      GET
  • PayGateway
    • Detail
  • CancelPolicy
    • Detail
  • Search List
    GET
  • Phone Code List
    GET
  1. Guest

Detail

GET
https://guestapi.roomability.io/Guest/Detail
Last modified:2026-03-13 10:40:24
This endpoint retrieves the details of a guest based on the provided email address.
The response for this request can be documented as a JSON schema:
{
    "type": "object",
    "properties": {
        "detail": {
            "type": "object",
            "properties": {
                "title": {"type": "string"},
                "firstName": {"type": "string"},
                "lastName": {"type": "string"},
                "phone": {"type": "string"},
                "email": {"type": "string"},
                "sex": {"type": "string"},
                "occupation": {"type": "string"},
                "country": {"type": "string"},
                "state": {"type": "string"},
                "address1": {"type": "string"},
                "address2": {"type": "string"},
                "city": {"type": "string"}
            }
        },
        "errorCode": {"type": "integer"},
        "errorMessage": {"type": "string"}
    }
}

Request

Query Params

Header Params

Responses

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://guestapi.roomability.io/Guest/Detail?email=goodguest@gmail.com' \
--header 'X-API-Key: {{api-key}}' \
--header 'Content-Type: application/json'
Response Response Example
{
    "detail": {
        "title": "Mr.",
        "firstName": "Good",
        "lastName": "Guest",
        "phone": "08030000000",
        "email": "goodguest@gmail.com",
        "sex": "Male",
        "occupation": "Lawyer",
        "country": "Nigeria",
        "state": "Lagos",
        "address1": "",
        "address2": "Admiralty Way",
        "city": "Lekki"
    },
    "errorCode": 0,
    "errorMessage": "Guest detail retrieved successfully."
}
Modified at 2026-03-13 10:40:24
Previous
Guest
Next
Term
Built with